import { Component } from "react";
import PropTypes from "prop-types";
import { Animated, ModalProps as ReactNativeModalProps, ViewStyle } from "react-native";
export interface ModalProps extends ReactNativeModalProps {
    onBackdropPress?: () => void;
    onHide?: () => void;
    visible?: boolean;
    contentStyle: ViewStyle;
}
interface ModalState {
    visible: boolean;
    currentAnimation: "none" | "in" | "out";
}
export declare class Modal extends Component<ModalProps, ModalState> {
    static propTypes: {
        onBackdropPress: PropTypes.Requireable<(...args: any[]) => any>;
        onHide: PropTypes.Requireable<(...args: any[]) => any>;
        visible: PropTypes.Requireable<boolean>;
        contentStyle: PropTypes.Requireable<any>;
    };
    static defaultProps: Partial<ModalProps>;
    state: ModalState;
    animVal: Animated.Value;
    _isMounted: boolean;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: ModalProps): void;
    show: () => void;
    hide: () => void;
    render(): JSX.Element;
}
export default Modal;
